<template>
  <Inner>
      <template >
          <div v-if="page_content!=null">
              <section class="cms_banner">
             <div class="container">
                 <div class="row">
                     <div class="col-12">
                         <h1>FAQs</h1>
                         <div class="inner_breadcrumb"><a href="/">Home</a> / FAQs</div>
                     </div>
                 </div>
             </div>
         </section>
         <div class="cms_content faq_cont">
                  <div class="container">
                      <div class="row">
                          <div class="col-xs-12 col-sm-12 col-md-6">
                              <div v-for="(a,i) in page_content.faqs">
                                  <div class="faq_item" v-show="(Number(i)%2)==0">
                                      <h3><span class="material-icons-outlined">arrow_forward_ios</span>{{ a.question }}</h3>
                                      <div class="faq_cont_item" v-html="a.answer">
                                      </div>
                                  </div>
                              </div>
                          </div>
                          <div class="col-xs-12 col-sm-12 col-md-6">
                              <div v-for="(a,i) in page_content.faqs">
                                  <div class="faq_item" v-show="(Number(i)%2)!=0">
                                      <h3><span class="material-icons-outlined">arrow_forward_ios</span>{{ a.question }}</h3>
                                      <div class="faq_cont_item" v-html="a.answer">
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
              </div>
              <div v-html="page_content.content"></div>
          </div>
          <div v-else>
              <div class="container">
              <div class="row">
              <div class="col-12">
                  <h5>404 Page not found</h5>
              </div>
              </div>
              </div>
          </div>
      </template>
  </Inner>
</template>
<script>
import Inner from '~/layouts/inner.vue'
import options from '~/assets/options';
export default {
components : {Inner},
   async asyncData({$axios,params,store,error}) {
      if(!store.state.front_end_data.url_available) {
          return error({ statusCode: 404, message: 'Page Not Found' })
        }
      let current_host = store.state.front_end_data.domain_id;
      const data = await $axios.$get(`/api/page-detail/faqs/${current_host}`);
      if(data.error) {
          return {page_content:null};
      }
      return {page_content:data};      
  },
  
  data() {
      return  {
          domain      : this.$store.state.front_end_data.domain, 
      }
  },
  head() {
      if(this.page_content!=null) {
          return {
          title: `${this.page_content.meta_title} - ${this.domain.name}`,
          script : [
            {
              src: '/front-end/js/google-analytics.js'
            }
          ],
          meta: [
              {
                hid: 'description',
                name: 'description',
                content: `${this.page_content.meta_description}`
              },
              {
                hid: 'og:title',
                name: 'og:title',
                content: `${this.page_content.meta_title}`
              },
              {
                hid: 'og:description',
                name: 'og:description',
                content: `${this.page_content.meta_description}`
              },{
                hid: 'og:type',
                name: 'og:type',
                content: "Website"
              },
              {
                hid: 'og:url',
                name: 'og:url',
                content: this.domain.url + this.$route.fullPath
              },
              {
                hid: 'og:url',
                name: 'og:site_name',
                content: this.domain.name
              },
              {
                hid: 'og:image',
                name: 'og:image',
                content: "/images/logo.png"
              },
              {
                hid: 'name',
                name: 'twitter:card',
                content: "summary_large_image"
              },
              {
                hid: 'name',
                name: 'twitter:title',
                content: `${this.page_content.meta_title}`
              },
              {
                hid: 'name',
                name: 'twitter:description',
                content: `${this.page_content.meta_description}`
              },
              {
                hid: 'name',
                name: 'twitter:image:src',
                content: "/images/logo.png"
              },
              {
                hid: 'name',
                name: 'twitter:site',
                content: this.domain.name
              },
            ],
        }
      }   
      
  },
  mounted() {
    setTimeout(() => {
      $('#faqs').addClass('active_item');
    }, 0);
  },
}
</script>

